Page MenuHomePhabricator

[OpenMP] Add OpenMP data sharing infrastructure using global memory
ClosedPublic

Authored by gtbercea on Feb 22 2018, 4:52 PM.

Details

Summary

This patch handles the Clang code generation phase for the OpenMP data sharing infrastructure.

TODO: add a more detailed description.

Diff Detail

Repository
rL LLVM

Event Timeline

gtbercea created this revision.Feb 22 2018, 4:52 PM
ABataev added inline comments.Feb 23 2018, 6:42 AM
lib/CodeGen/CGOpenMPRuntimeNVPTX.cpp
555 ↗(On Diff #135565)

Do we need this?

640–641 ↗(On Diff #135565)

auto->llvm::Value *

863–864 ↗(On Diff #135565)
  1. Update it to the latest version. And use clang-format!
  2. This must be in a separate patch
933 ↗(On Diff #135565)

Separate patch

1101 ↗(On Diff #135565)

{}->llvm::None

1203–1210 ↗(On Diff #135565)

Should it be in this patch?

lib/CodeGen/CGOpenMPRuntimeNVPTX.h
324–331 ↗(On Diff #135565)

Do we need this function at all?

gtbercea updated this revision to Diff 136528.Mar 1 2018, 8:12 AM
This revision is now accepted and ready to land.Mar 1 2018, 8:16 AM
gtbercea updated this revision to Diff 137210.Mar 6 2018, 8:44 AM

Add init stack function.

gtbercea updated this revision to Diff 137600.Mar 8 2018, 10:01 AM

Patch splitting: limit support in this patch to standalone target regions only. Support for combined directives will be fully covered in a subsequent patch.

Closed by commit rL327513: [OpenMP] Add OpenMP data sharing infrastructure using global memory (authored by gbercea, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.